declare const Worker: any, isMainThread: any, parentPort: any, workerData: any;
declare const log4js: any;
declare class LoggerWrapper {
    worker: any;
    constructor(logConfig: any);
    trace(logContent: any, ...args: any[]): void;
    debug(logContent: any, ...args: any[]): void;
    info(logContent: any, ...args: any[]): void;
    warn(logContent: any, ...args: any[]): void;
    error(logContent: any, ...args: any[]): void;
    fatal(logContent: any, ...args: any[]): void;
    exit(): void;
}
declare let loggerWrapper: any;
declare function exit(): void;
declare function getLogger(config: any): any;
